KDE 4.7 PyKDE API Reference

- KDE's Python API

# KFileItemActionPlugin Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

Deprecated:
  use KAbstractFileItemActionPlugin instead (introduced in kdelibs-4.6.1 in order to remove the erroneous "const" in the actions method)

## Methods
| __init__ (self, QObject parent)
[QAction] | actions (self, KFileItemListProperties fileItemInfos, QWidget parentWidget)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

[QAction] actions | ( | self, |
|  | KFileItemListProperties | fileItemInfos,
|  | QWidget | parentWidget
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.